East

About me

Developer Information
Name East
User since January 5, 2010
Number of add-ons developed 0 add-ons
Average rating of developer's add-ons Not yet rated

My Reviews

Linky

Incompatible Firefox 22.0 Rated 1 out of 5 stars

I got a message that it wouldn't install because it is incompatible with Firefox 22.0.

Closy

Incompatible w/ Firefox Version 22.0 Rated 1 out of 5 stars

I tried to install this add-on and got an error message saying it couldn't be installed because it was not compatible with Firefox Version 22.0